%define with_maven 1

Name:           jettison
Version:        1.3
Release:        %mkrel 1
Summary:        A JSON StAX implementation
Group:          Development/Java
License:        ASL 2.0
URL:            http://jettison.codehaus.org/
Source0:        http://repository.codehaus.org/org/codehaus/%{name}/%{name}/%{version}/%{name}-%{version}-sources.jar
# https://svn.codehaus.org/jettison/tags/jettison-1.2/pom.xml
Source1:        http://repo1.maven.org/maven2/org/codehaus/%{name}/%{name}/%{version}/%{name}-%{version}.pom

# ant build scripts with OSGi manifest
Source2:        jettison-1.3-autogeneratedfiles.tar.gz
# remove wagon-webdav extension
# change groupId woodstox in org.codehaus.woodstox
Patch0:         jettison-1.3-pom.patch

BuildArch:      noarch

BuildRequires:     java-devel >= 0:1.6.0
BuildRequires:     jpackage-utils

%if %with_maven
BuildRequires:     bea-stax-api
BuildRequires:     codehaus-parent
BuildRequires:     junit
BuildRequires:     wstx

BuildRequires:     maven
BuildRequires:     maven-compiler-plugin
BuildRequires:     maven-javadoc-plugin
BuildRequires:     maven-plugin-bundle
BuildRequires:     maven-project-info-reports-plugin
BuildRequires:     maven-release-plugin
BuildRequires:     maven-surefire-plugin
BuildRequires:     maven-ant-plugin
%endif

Requires:          java >= 0:1.6.0
Requires:          jpackage-utils

%description
Jettison is a collection of Java APIs (like STaX and DOM) which read
and write JSON. This allows nearly transparent enablement of JSON based
web services in services frameworks like CXF or XML serialization
frameworks like XStream.

%package javadoc
Summary:           Javadocs for jettison
Group:             Development/Java
Requires:          %{name} = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
jettison development documentation.

%prep
%setup -q -c

cp -pr %SOURCE1 pom.xml
%patch0 -p0

%if %with_maven
mkdir -p src/main/java
mv org src/main/java/
mkdir -p src/main/resources
cp -p META-INF/LICENSE LICENSE
mv META-INF src/main/resources/
%else
# TODO tar -xf %SOURCE2
mkdir target doc
%endif

%build

%if %with_maven
mvn-rpmbuild -e ant:ant install javadoc:aggregate
%else
javac -d target `find -name '*.java'`
jar -cf %{name}-%{version}.jar -C target .
javadoc -author -version -public -d doc `find . -name '*.java'`
%endif

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
%if %with_maven
install -m 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%else
install -m644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%endif
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.codehaus.%{name} %{name} %{version} JPP %{name}

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%if %with_maven
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%else
cp -rp doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%endif
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}/*




%changelog

* Sat Dec 03 2011 gil <gil> 1.3-1.mga2
+ Revision: 175619
- update to 1.3

* Sat Dec 03 2011 gil <gil> 1.2-5.mga2
+ Revision: 175594
- added OSGi support
  generated ant build scripts

* Thu Dec 01 2011 gil <gil> 1.2-4.mga2
+ Revision: 175026
- add maven support

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-3.mga1
+ Revision: 92540
- Rebuild after bootstrapping
- imported package jettison


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 25 2010 Sandro Mathys <red at fedoraproject.org> - 1.2-1
- update to upstream 1.2

* Sun Jun 28 2009 Sandro Mathys <red at fedoraproject.org> - 1.1-1
- initial build
